realFFTData Class Reference

class realFFTData controls and manipulates fft data More...

`#include <realFFTData.H>`

## Public Member Functions

| realFFTData (int sz)
| All memory to be allocated internally.
| realFFTData (int sz, fftw_real *inp, fftw_real *outp)
| input and output data arrays are to be allocated by another process
| ~realFFTData (void)
| Deconstructor.
int | limitHalfPowerSpec (double lim)
| Limits the maximum to 'lim' and returns the last fft bin with max.
int | getSize (void)
| Returns the number of elements in the input and output arrays.
int | getHalfSize (void)
| Returns the number of elements in the power spectrum array.
fftw_real | findMaxIn (void)
| Returns the maximum input variable.
void | findMaxMinPowerBins (void)
| Fills the max and min power spectrum bins.
int | compPowerSpec ()
| This function computes the power spectrum and returns the max bin.
int | sqrtPowerSpec ()
| This function computes the square root of the power spectrum and returns the max bin.
void | zeroFFTData (void)
| This function zeros the output data array (out)

## Public Attributes

int | size
| Specifies the size of the data array.
int | minPowerBin
| Specifies the minimum and maximum power bins as used in the methods findMaxMinPowerBins and compPowerSpec.
int | maxPowerBin
fftw_real * | in
| the input, output and power_spectrum arrays
fftw_real * | out
fftw_real * | power_spectrum
double | totalPower
| The total power (summed) of the power spectrum as used in the method compPowerSpec.

## Detailed Description

class realFFTData controls and manipulates fft data

Examples
  realFFTExample.cc.

Definition at line 32 of file realFFTData.H.

## Member Function Documentation

## getHalfSize()

int realFFTData::getHalfSize | ( | void |  | ) |

inline

Returns the number of elements in the power spectrum array.

Definition at line 58 of file realFFTData.H.

References size.

## getSize()

int realFFTData::getSize | ( | void |  | ) |

inline

Returns the number of elements in the input and output arrays.

Definition at line 56 of file realFFTData.H.

References size.

## Member Data Documentation

## in

fftw_real* realFFTData::in

the input, output and power_spectrum arrays

Examples
  realFFTExample.cc.

Definition at line 41 of file realFFTData.H.

## maxPowerBin

int realFFTData::maxPowerBin

Definition at line 39 of file realFFTData.H.

## minPowerBin

int realFFTData::minPowerBin

Specifies the minimum and maximum power bins as used in the methods findMaxMinPowerBins and compPowerSpec.

Definition at line 39 of file realFFTData.H.

## out

fftw_real * realFFTData::out

Examples
  realFFTExample.cc.

Definition at line 41 of file realFFTData.H.

## power_spectrum

fftw_real * realFFTData::power_spectrum

Examples
  realFFTExample.cc.

Definition at line 41 of file realFFTData.H.

## size

int realFFTData::size

Specifies the size of the data array.

Definition at line 37 of file realFFTData.H.

Referenced by getHalfSize(), and getSize().

## totalPower

double realFFTData::totalPower

The total power (summed) of the power spectrum as used in the method compPowerSpec.

Definition at line 43 of file realFFTData.H.

The documentation for this class was generated from the following file:

- realFFTData.H